## pixz 1.0.2

=== Makefile ===
VERSION = 1.0.2
DISTNAME = pixz-$(VERSION)
TARBALL = $(DISTNAME).tgz

ifneq ($(shell gcc -v 2>&1 | grep 'Apple Inc'),)
	APPLE=1
endif

OPT = -g -O0
MYCFLAGS = $(patsubst %,-I%/include,$(LIBPREFIX)) $(OPT) -std=gnu99 \
	-Wall -Wno-unknown-pragmas -DPIXZ_VERSION='"$(VERSION)"'
MYLDFLAGS = $(patsubst %,-L%/lib,$(LIBPREFIX)) $(OPT) -Wall

THREADS = -lpthread
LIBADD = $(THREADS) -llzma -larchive

CC = gcc
COMPILE = $(CC) $(MYCFLAGS) $(CFLAGS) -c -o
LD = $(CC) $(MYLDFLAGS) $(LDFLAGS) -o

ifdef APPLE
ifeq ($(CC),gcc)
	MYLDFLAGS += -search_paths_first
endif
endif

PROGS = pixz
MANPAGE = pixz.1
COMMON = common.o endian.o cpu.o read.o write.o list.o

all: $(PROGS)

%.o: %.c pixz.h
	$(COMPILE) $@ $<

$(PROGS): %: %.o $(COMMON)
	$(LD) $@ $^ $(LIBADD)

clean:
	rm -rf *.o $(PROGS) $(MANPAGE) $(TARBALL) dist

$(MANPAGE): pixz.1.asciidoc
	a2x -a manversion=$(VERSION) -f manpage $<

dist:
	rm -rf dist
	mkdir -p dist
	git archive --prefix=$(DISTNAME)/ --format=tar HEAD | tar -x -C dist

$(TARBALL): $(MANPAGE) dist
	cp pixz.1 dist/$(DISTNAME)/
	tar -czf $(TARBALL) -C dist $(DISTNAME)

tarball: $(TARBALL)

.PHONY: all clean tarball dist

=== debian/changelog ===
pixz (1.0.2-2) unstable; urgency=low

  * Bug fix: "FTBFS: ld: common.o: undefined reference to symbol
    ceil@@GLIBC_2.2.5", thanks to David Suárez (Closes: #713650).
    Add -lm to link flags.

 -- David Bremner <bremner@debian.org>  Fri, 28 Jun 2013 20:09:34 -0300

pixz (1.0.2-1) unstable; urgency=low

  * New upstream release
  * Fix a crashing bug when input is incompressible
    https://github.com/vasi/pixz/issues/10

 -- David Bremner <bremner@debian.org>  Sat, 19 Jan 2013 11:23:43 -0400

pixz (1.0.1-1) unstable; urgency=low

  * New upstream release
    -e for 'extreme' xz compression
    -q for setting the size of the block queue
    -f for setting the block size/dict size ratio. The default ratio 
       is now 2.0
    -  allocate memory on demand instead of pre-allocating

 -- David Bremner <bremner@debian.org>  Thu, 27 Dec 2012 12:53:45 -0400

pixz (1.0-1) unstable; urgency=low

  * Initial release (Closes: #693859)

 -- David Bremner <bremner@debian.org>  Thu, 22 Nov 2012 08:27:04 -0400

=== debian/control ===
Source: pixz
Section: utils
Priority: optional
Maintainer: David Bremner <bremner@debian.org>
Build-Depends: debhelper (>= 9), libarchive-dev, liblzma-dev,
 asciidoc, libxml2-utils, xsltproc, docbook-xml, docbook-xsl
Standards-Version: 3.9.4
Homepage: https://github.com/vasi/pixz
Vcs-Git: git://gitolite.debian.net/pixz.git
Vcs-Browser: http://gitolite.debian.net/git?p=pixz.git;a=summary

Package: pixz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: parallel, indexing XZ compressor/decompressor
 Pixz is a multithreaded compressor/decompressor XZ fully compatible
 with those provided by xz-utils and busybox. By default it adds
 indexing information when compressing tar files that allows fast
 listing and partial-archive extraction.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_build:
	make OPT="$(CFLAGS) $(CPPFLAGS)" all pixz.1

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://sf.net/pixz/pixz-(\d[\d.]*)\.tgz

## pixz 1.0.6

=== debian/changelog ===
pixz (1.0.6-2) unstable; urgency=medium

  * update Vcs-* headers
  * cherry-pick 936d8068ae19d95260d3058f41dd6cf718101cd6 and drop
    build-dep on asciidoc.
  * use dh-autoreconf

 -- David Bremner <bremner@debian.org>  Sat, 26 Dec 2015 13:25:45 -0400

pixz (1.0.6-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "pixz creates new file with default permissions and does not
    preserve permissions", thanks to Michael Tokarev (Closes: #746467).
    See upstream commit e5ba30f9.
  * Assert compliance with policy 3.9.6

 -- David Bremner <bremner@debian.org>  Sat, 12 Dec 2015 12:30:46 -0400

=== debian/control ===
Source: pixz
Section: utils
Priority: optional
Maintainer: David Bremner <bremner@debian.org>
Build-Depends: debhelper (>= 9),
	       dh-autoreconf,
               libarchive-dev,
               liblzma-dev,
	       pkg-config,
Standards-Version: 3.9.6
Homepage: https://github.com/vasi/pixz
Vcs-Git: git://git.debian.org/users/bremner/pixz.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/bremner/pixz.git

Package: pixz
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: parallel, indexing XZ compressor/decompressor
 Pixz is a multithreaded compressor/decompressor XZ fully compatible
 with those provided by xz-utils and busybox. By default it adds
 indexing information when compressing tar files that allows fast
 listing and partial-archive extraction.

=== debian/watch ===
--- 
+++ 
@@ -6,4 +6,4 @@
 # Compulsory line, this is a version 3 file
 version=3
 
-http://sf.net/pixz/pixz-(\d[\d.]*)\.tgz
+https://github.com/vasi/pixz/releases .*/pixz-(.+).tar.xz

## pixz 1.0.7

=== debian/changelog ===
pixz (1.0.7-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches since they are included in the upstream release
  * d/control: Add vcs fields
  * d/control: Add missing dependency docbook-xml, docbook-xsl

 -- Leon Marz <lmarz@cs.uni-frankfurt.de>  Thu, 30 Jul 2020 19:30:00 +0200

pixz (1.0.6-4) unstable; urgency=medium

  * Add 0003-gcc-10-support.patch (See: #957689)
  * Bump debhelper-compat version to 13

 -- Leon Marz <lmarz@cs.uni-frankfurt.de>  Wed, 22 Jul 2020 22:00:00 +0200

pixz (1.0.6-3) unstable; urgency=medium

  * New Maintainer (Closes: #954254)
  * Bump Standards-Version to 4.5.0
  * 0002-fix-decompressing-files-4gb-on-32bit-systems.patch (Closes: #954231)
  * Add asciidoc and cppcheck to Build-Depends
  * Remove dh_autoreconf from Build-Depends
    since its already a dependency of debhelper
  * Add Rules-Requires-Root field

 -- Leon Marz <lmarz@cs.uni-frankfurt.de>  Fri, 20 Mar 2020 19:15:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,20 @@
 Source: pixz
 Section: utils
 Priority: optional
-Maintainer: David Bremner <bremner@debian.org>
-Build-Depends: debhelper (>= 9),
-	       dh-autoreconf,
+Maintainer: Leon Marz <lmarz@cs.uni-frankfurt.de>
+Build-Depends: asciidoc,
+               cppcheck,
+               debhelper-compat (= 13),
+               docbook-xml,
+               docbook-xsl,
                libarchive-dev,
                liblzma-dev,
-	       pkg-config,
-Standards-Version: 3.9.6
+               pkg-config
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/debian/pixz.git
+Vcs-Browser: https://salsa.debian.org/debian/pixz
 Homepage: https://github.com/vasi/pixz
-Vcs-Git: git://git.debian.org/users/bremner/pixz.git
-Vcs-Browser: https://anonscm.debian.org/cgit/users/bremner/pixz.git
+Rules-Requires-Root: no
 
 Package: pixz
 Architecture: any

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pixz-$1.tar.gz%" \
   https://github.com/vasi/pixz/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
